JEDirectory (Lucene 2.4.1 API)
Keywords: org.apache.lucene.store.je.JEDirectory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.store.je
Class JEDirectory

    java.lang.Object
      org.apache.lucene.store.Directory
          org.apache.lucene.store.je.JEDirectory

    public class JEDirectory

extends Directory

Port of Andi Vajda's DbDirectory to to Java Edition of Berkeley Database A JEDirectory is a Berkeley DB JE based implementation of `Directory`. It uses two `Db` database handles, one for storing file records and another for storing file data blocks.

Field Summary
`protected com.sleepycat.je.Database` | `blocks`
`protected com.sleepycat.je.Database` | `files`
`protected int` | `flags`
`protected Set` | `openFiles`
`protected com.sleepycat.je.Transaction` | `txn`

Fields inherited from class org.apache.lucene.store.Directory
`lockFactory`

Constructor Summary
`JEDirectory(com.sleepycat.je.Transaction txn, com.sleepycat.je.Database files, com.sleepycat.je.Database blocks)`
`JEDirectory(com.sleepycat.je.Transaction txn, com.sleepycat.je.Database files, com.sleepycat.je.Database blocks, int flags)` Instantiate a DbDirectory.

Method Summary
`void` | `close()`
`IndexOutput` | `createOutput(String name)`
`void` | `deleteFile(String name)`
`boolean` | `fileExists(String name)`
`long` | `fileLength(String name)`
`long` | `fileModified(String name)`
`void` | `flush()` Flush the currently open files.
`String[]` | `list()`
`Lock` | `makeLock(String name)`
`IndexInput` | `openInput(String name)`
`void` | `renameFile(String from, String to)`
`void` | `setTransaction(com.sleepycat.je.Transaction txn)` Once a transaction handle was committed it is no longer valid.
`void` | `touchFile(String name)`

Methods inherited from class org.apache.lucene.store.Directory
`clearLock, copy, ensureOpen, getLockFactory, getLockID, openInput, setLockFactory, sync`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### openFiles

    protected Set openFiles

### files

    protected com.sleepycat.je.Database files

### blocks

    protected com.sleepycat.je.Database blocks

### txn

    protected com.sleepycat.je.Transaction txn

### flags

    protected int flags

Constructor Detail

### JEDirectory

    public JEDirectory(com.sleepycat.je.Transaction txn,
                       com.sleepycat.je.Database files,
                       com.sleepycat.je.Database blocks,
                       int flags)

  Instantiate a DbDirectory. The same threading rules that apply to Berkeley DB handles apply to instances of DbDirectory.

  Parameters:
    `txn` - a transaction handle that is going to be used for all db operations done by this instance. This parameter may be `null`.
    `files` - a db handle to store file records.
    `blocks` - a db handle to store file data blocks.
    `flags` - flags used for db read operations.

### JEDirectory

    public JEDirectory(com.sleepycat.je.Transaction txn,
                       com.sleepycat.je.Database files,
                       com.sleepycat.je.Database blocks)

Method Detail

### close

    public void close()
               throws IOException

  Specified by:
    `close` in class `Directory`
  Throws:
    `IOException`

### flush

    public void flush()
               throws IOException

  Flush the currently open files. After they have been flushed it is safe to commit the transaction without closing this DbDirectory instance first.

  Throws:
    `IOException`
  See Also:
    `setTransaction(com.sleepycat.je.Transaction)`

### createOutput

    public IndexOutput createOutput(String name)
                             throws IOException

  Specified by:
    `createOutput` in class `Directory`
  Throws:
    `IOException`

### deleteFile

    public void deleteFile(String name)
                    throws IOException

  Specified by:
    `deleteFile` in class `Directory`
  Throws:
    `IOException`

### fileExists

    public boolean fileExists(String name)
                       throws IOException

  Specified by:
    `fileExists` in class `Directory`
  Throws:
    `IOException`

### fileLength

    public long fileLength(String name)
                    throws IOException

  Specified by:
    `fileLength` in class `Directory`
  Throws:
    `IOException`

### fileModified

    public long fileModified(String name)
                      throws IOException

  Specified by:
    `fileModified` in class `Directory`
  Throws:
    `IOException`

### list

    public String[] list()
                  throws IOException

  Specified by:
    `list` in class `Directory`
  Throws:
    `IOException`

### openInput

    public IndexInput openInput(String name)
                         throws IOException

  Specified by:
    `openInput` in class `Directory`
  Throws:
    `IOException`

### makeLock

    public Lock makeLock(String name)

  Overrides:
    `makeLock` in class `Directory`

### renameFile

    public void renameFile(String from,
                           String to)
                    throws IOException

  Specified by:
    `renameFile` in class `Directory`
  Throws:
    `IOException`

### touchFile

    public void touchFile(String name)
                   throws IOException

  Specified by:
    `touchFile` in class `Directory`
  Throws:
    `IOException`

### setTransaction

    public void setTransaction(com.sleepycat.je.Transaction txn)

  Once a transaction handle was committed it is no longer valid. In order to continue using this JEDirectory instance after a commit, the transaction handle has to be replaced.

  Parameters:
    `txn` - the new transaction handle to use

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.